summaryrefslogtreecommitdiffstats
path: root/docker/run_tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'docker/run_tests.sh')
-rwxr-xr-xdocker/run_tests.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/docker/run_tests.sh b/docker/run_tests.sh
index c75110b3d..00d534871 100755
--- a/docker/run_tests.sh
+++ b/docker/run_tests.sh
@@ -175,6 +175,13 @@ fi
info "Sourcing Credentials ${FUNCTEST_CONF_DIR}/openstack.creds to run the tests.."
source ${FUNCTEST_CONF_DIR}/openstack.creds
+# Check OpenStack
+info "Checking that the basic OpenStack services are functional..."
+${FUNCTEST_REPO_DIR}/testcases/VIM/OpenStack/CI/libraries/check_os.sh
+RETVAL=$?
+if [ $RETVAL -ne 0 ]; then
+ exit 1
+fi
# Run tests
if [ "${TEST}" != "" ]; then